Package org.eclipse.m2m.atl.emftvm.launcher

# Class EMFTVMLaunchConfigurationDelegate

java.lang.Object
org.eclipse.m2m.atl.emftvm.launcher.EMFTVMLaunchConfigurationDelegate

All Implemented Interfaces:
  `org.eclipse.debug.core.model.ILaunchConfigurationDelegate`

public class EMFTVMLaunchConfigurationDelegate extends Object implements org.eclipse.debug.core.model.ILaunchConfigurationDelegate
Launches EMFTVM transformation modules.

## Constructor Summary

Constructors
Constructor
Description
`EMFTVMLaunchConfigurationDelegate()`
Creates a new `EMFTVMLaunchConfigurationDelegate`.

## Method Summary

Modifier and Type
Method
Description
`static ModuleResolver`
`createModuleResolver(String path)`
Creates a `ModuleResolver` using the comma-separated module `path`.
`static boolean`
`getBoolOption(Map<String,String> modelOptions, String modelName, String option)`
Retrieves the boolean value of `option` for `modelName` from `modelOptions`.
`static int`
`getPort(org.eclipse.debug.core.ILaunch launch)`
Returns the `NetworkDebugger` port.
`void`
`launch(org.eclipse.debug.core.ILaunchConfiguration configuration, String mode, org.eclipse.debug.core.ILaunch launch, org.eclipse.core.runtime.IProgressMonitor monitor)`
`static void`
`setBoolOption(Map<String,String> modelOptions, String modelName, String option)`
Sets the boolean value of `option` for `modelName` from `modelOptions`.
`static void`
`unsetBoolOption(Map<String,String> modelOptions, String modelName, String option)`
Unsets the boolean value of `option` for `modelName` from `modelOptions`.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.eclipse.debug.core.model.ILaunchConfigurationDelegate

`showCommandLine`

## Constructor Details

### EMFTVMLaunchConfigurationDelegate

public EMFTVMLaunchConfigurationDelegate()
Creates a new `EMFTVMLaunchConfigurationDelegate`.

## Method Details

### launch

public void launch(org.eclipse.debug.core.ILaunchConfiguration configuration, String mode, org.eclipse.debug.core.ILaunch launch, org.eclipse.core.runtime.IProgressMonitor monitor) throws org.eclipse.core.runtime.CoreException

Specified by:
  `launch` in interface `org.eclipse.debug.core.model.ILaunchConfigurationDelegate`
Throws:
  `org.eclipse.core.runtime.CoreException`

### getBoolOption

public static boolean getBoolOption(Map<String,String> modelOptions, String modelName, String option)
Retrieves the boolean value of `option` for `modelName` from `modelOptions`.

Parameters:
  `modelOptions` - the model options map
  `modelName` - the model name
  `option` - the option to retrieve
Returns:
  the option value

### setBoolOption

public static void setBoolOption(Map<String,String> modelOptions, String modelName, String option)
Sets the boolean value of `option` for `modelName` from `modelOptions`.

Parameters:
  `modelOptions` - the model options map
  `modelName` - the model name
  `option` - the option to set

### unsetBoolOption

public static void unsetBoolOption(Map<String,String> modelOptions, String modelName, String option)
Unsets the boolean value of `option` for `modelName` from `modelOptions`.

Parameters:
  `modelOptions` - the model options map
  `modelName` - the model name
  `option` - the option to unset

### getPort

public static int getPort(org.eclipse.debug.core.ILaunch launch) throws org.eclipse.core.runtime.CoreException
Returns the `NetworkDebugger` port.

Parameters:
  `launch` - the launch object
Returns:
  the `NetworkDebugger` port.
Throws:
  `org.eclipse.core.runtime.CoreException`

### createModuleResolver

public static ModuleResolver createModuleResolver(String path)
Creates a `ModuleResolver` using the comma-separated module `path`.

Parameters:
  `path` - the module path
Returns:
  the `ModuleResolver`.